=== debian/changelog ===
xiphos (3.1.5+dfsg-1build3) quantal; urgency=low

  * No-change rebuild for new gtkhtml4.0 dependency update.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Sep 2012 10:32:58 -0600

xiphos (3.1.5+dfsg-1build2) quantal; urgency=low

  * No-change rebuild for libgtkhtml dependency update, again as previous
    one was not uploaded into -proposed, but libgtkhtml has now
    transitioned into release pocket. (LP: #1022908)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 10 Jul 2012 17:17:18 -0600

xiphos (3.1.5+dfsg-1build1) quantal; urgency=low

  * No-change rebuild for libgtkhtml dependency update.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 20:12:08 +0400

xiphos (3.1.5+dfsg-1) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]  
  * New upstream release.
  * Build using webkit backend
  * Contains unpacked source for waf binary (Closes: #654511)
  * Update debian/copyright to latest specification

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 11 Mar 2012 18:43:32 +0000

xiphos (3.1.4-3) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Drop xulrunner, use gtkhtml instead. (Closes: #631049) (LP: #756201)
  * Drop quilt dependency (daily ppa converts 3.0 quilt format to 3.0 native)
  * Bump policy to 3.9.2, no changes required.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 25 Jun 2011 00:18:28 +0100
