=== debian/control ===
Source: xiphos
Build-Depends: debhelper (>= 7.0.50~),
               libsword-dev (>=1.5.11),
               gsettings-desktop-schemas-dev | gconf2-common,
               rarian-compat,
               libgtkhtml-4.0-dev | libgtkhtml3.14-dev,
               libgtkhtml-editor-4.0-dev | libgtkhtml-editor-3.14-dev | libgtkhtml-editor-dev | gtkhtml3.14,
               libwebkitgtk-3.0-dev | libwebkitgtk-dev,
	       libgtkhtml-4.0-0 | libglade2-dev,
	       libgconf2-dev,
               gnome-doc-utils,
               intltool,
	       libdbus-glib-1-dev,
	       libgsf-1-dev,
               libxml2-dev
Section: gnome
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.3
Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
Vcs-Browser: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main/files
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos-data (= ${source:Version})
Replaces: xiphos-data
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos (= ${binary:Version}),
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: debug symbols for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains debugging symbols that are necessary to procude
 stacktraces of Xiphos.

Package: xiphos-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.
