=== debian/rules ===
#!/usr/bin/make -f
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)

%:
	dh $@
override_dh_auto_configure:
	./waf configure --nocache --prefix=/usr
override_dh_auto_build:
	./waf build --nocache
override_dh_auto_install:
	./waf install --nocache --destdir=debian/tmp
override_dh_install:
	dh_install --list-missing
override_dh_strip:
	dh_strip --dbg-package=xiphos-dbg
override_dh_auto_clean:
	./waf distclean --nocache
override_dh_clean:
	find . -name '*.pyc' -delete
	dh_clean
override_dh_builddeb:
	dh_builddeb $(if $(ppa),-- -Zlzma)
