=== debian/watch ===
version=3
opts="uversionmangle=s/\%2B/\+/" \
https://launchpad.net/xiphos/+download https://launchpad.net/xiphos/.*/xiphos-(.*)\.tar\.bz2
