## xiphos 3.2.2+dfsg1

=== wscript ===
--- 
+++ 
@@ -17,7 +17,7 @@
 bzrrevno = '$CurRevno$'
 bzrrevid = '$CurRevid$'
 
-VERSION='3.1.5'
+VERSION='3.2.2'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -53,11 +53,6 @@
                    choices=['auto', '3', '2'],
                    help="Select gtk+ API ['auto', '3', '2']")
 
-    maingroup.add_option('--backend',
-                   action='store', default='auto', dest='backend',
-                   choices=['auto', 'webkit', 'xulrunner', 'gtkhtml'],
-                   help="Select rendering backend ['auto', 'webkit', 'xulrunner', 'gtkhtml']")
-
     miscgroup = opt.add_option_group('Miscellaneous Options')
 
     miscgroup.add_option('-d', '--debug-level',
@@ -74,6 +69,10 @@
             dest='delint',
             help='Use -Wall -Werror [default: disabled]')
 
+    miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
+            dest='webkit_editor',
+            help='Use webkit editor [default: disabled]')
+			
     miscgroup.add_option('--disable-dbus',
                    action = 'store_true',
                    default = False,
@@ -94,12 +93,6 @@
             help='Disable console window in win32 [default: enabled]',
             dest='no_console')
 
-    # FIXME - handle this option
-    #w32.add_option('--rootdir',
-		#action = 'store',
-		#help = 'Specify path where resides msys. This dir is used for finding libraries and other files',
-		#dest = 'rootdir')
-
     w32.add_option('--pkgconf-libdir',
 		action = 'store',
 		default = os.path.join(ROOTDIR_WIN32, 'local', 'lib', 'pkgconfig'),
@@ -111,12 +104,6 @@
 		default = os.path.join(ROOTDIR_WIN32, 'local'),
 		help = "Specify prefix with folders for headers and libraries for cross-compilation",
 		dest = 'pkg_conf_prefix')
-
-    w32.add_option('--mozilla-distdir',
-		action = 'store',
-		default = os.path.join(ROOTDIR_WIN32, 'local'),
-		help = "Folder 'dist' in unpacked mozilla devel tarball. Mandatory for win32 compilation",
-		dest = 'mozilla_distdir')
 
     ######### end of windows options.
 
@@ -137,20 +124,6 @@
                    help = "Disable post-install tasks",
                    dest = 'post_install')
 
-    deprecated_group = opt.add_option_group ('Deprecated options')
-
-    deprecated_group.add_option('--enable-gtkhtml',
-                   action='store_const', const='gtkhtml', dest='backend',
-                   help='Use gtkhtml rendering backend [deprecated by --backend gtkhtml]')
-
-    deprecated_group.add_option('--enable-webkit',
-                   action='store_const', const='webkit', dest='backend',
-                   help='Use gtk-webkit backend [deprecated by --backend webkit]')
-
-    deprecated_group.add_option('--enable-gtk2',
-                   action='store_const', const='2', dest='gtkver',
-                   help='Use gtk2 API [deprecated by --gtk=2]')
-
 def configure(conf):
 
     opt = Options.options
@@ -171,7 +144,7 @@
         Utils.pprint('CYAN', "Cross-compilation")
         env['CROSS'] = os.environ['CROSS']
 
-    # IS_WIN32 means compiling for win32, not compiling necessary on win32
+    # IS_WIN32 means compiling for win32, not necessarily compiling on win32
     if env['IS_WIN32']:
         Utils.pprint('CYAN', "Windows detected")
     elif env['IS_LINUX']:
@@ -180,10 +153,6 @@
     if not (env['IS_LINUX'] or env['IS_WIN32']):
         Utils.pprint('RED', "Assuming %s is UNIX like platform" % platform)
         env['IS_LINUX'] = True
-
-    ## temporary HACKS for win32
-    #if env['IS_WIN32']:
-    #    env['PREFIX'] = conf.escpath(os.path.abspath('win32/binaries/Xiphos'))
 
     if env['IS_WIN32']:
         env['ROOTDIR'] = ROOTDIR_WIN32
@@ -237,14 +206,10 @@
         ## setup for Winsock on Windows (required for read-aloud)
         conf.check(lib='ws2_32', uselib='WSOCK', mandatory=True)
         conf.check(lib='shell32', uselib='SHELLAPI', mandatory=True)
+        conf.check(lib='rpcrt4', uselib='RPCRT4', mandatory=True)
         # this isn't supposed to be necessary
-        env['LINKFLAGS'] = ['-lws2_32']
+        env['LINKFLAGS'] = ['-lws2_32', '-lrpcrt4']
         dfn('WIN32', 1)
-        # mozilla distdir mandatory for win32 for using libxul
-        if opt.mozilla_distdir:
-            env['MOZILLA_DISTDIR'] = opt.mozilla_distdir
-        else:
-            env['MOZILLA_DISTDIR'] = '%s/../..' % env['PKG_CONFIG_LIBDIR']
         # tool to link icon with executable
         # use tool modified for cross-compilation support
         env['POST_INSTALL']=False
@@ -261,44 +226,22 @@
 
     # Auto detecting gtk version, if none were specified.
     if opt.gtkver == 'auto':
-            if conf.check_cfg(modversion='libgtkhtml-4.0', okmsg='ok',
-                              msg='Auto detecting gtk 3'):
-                    opt.gtkver = '3'
-            else:
-                    conf.check_cfg(modversion='libgtkhtml-3.14', okmsg='ok',
-                                   msg='Auto detecting gtk 2', mandatory=True)
-                    opt.gtkver = '2'
-
-    # Auto detecting backed if none were specified
-    if opt.backend == 'auto':
-            webkit = 'webkitgtk-3.0' if opt.gtkver == '3' else 'webkit-1.0'
-            if conf.check_cfg(modversion=webkit, msg='Auto detecting webkit', okmsg='ok',
-                              erromsg='Not found'):
-                    opt.backend = 'webkit'
-
-            elif conf.check_cfg(modversion='libxul-embedding', msg='Auto detecting xulrunner', okmsg='ok',
-                              erromsg='Not found'):
-                    opt.backend = 'xulrunner'
-
-            else:
-                    gtkhtml = 'libgtkhtml-4.0' if opt.gtkver == '3' else 'libgtkhtml-3.14'
-                    conf.check_cfg(modversion=gtkhtml, msg='Auto detecting gtkhtml', okmsg='ok',
-                                   erromsg='Not found', mandatory=True)
-                    opt.backend = 'gtkhtml'
-
+        if conf.check_cfg(modversion="gtk+-3.0", okmsg='ok',
+                          msg='Auto detecting gtk 3'):
+            opt.gtkver = '3'
+        else:
+            conf.check_cfg(modversion="gtk+-2.0", okmsg='ok',
+                           msg='Auto detecting gtk 2', mandatory=True)
+            opt.gtkver = '2'
+
+    # TODO are these still needed?
+    env['ENABLE_WEBKIT'] = True
+    dfn('WEBKIT', 1) 
+    
     #gtk
     if opt.gtkver == '2':
         env['ENABLE_GTK2'] = True
         dfn('GTK2', 1)
-
-    # gtkhtml
-    if opt.backend == 'webkit':
-	env['ENABLE_WEBKIT'] = True
-	dfn('WEBKIT', 1)
-
-    if opt.backend == 'gtkhtml':
-        env['ENABLE_GTKHTML'] = True
-        dfn('GTKHTML', 1)
 
     # disable console window in win32
     if opt.no_console and env['IS_WIN32']:
@@ -341,3 +284,59 @@
 
     define('INSTALL_PREFIX', conf.escpath(sub('${PREFIX}/', env)))
     #dfn('LT_OBJDIR', '.libs') - what's the purpose?
+    define('PACKAGE_BUGREPORT','http://sourceforge.net/tracker/?group_id=5528&atid=105528' )
+    define('PACKAGE_DATA_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
+    define('PACKAGE_DOC_DIR', conf.escpath(env['DOCDIR']))
+    define('PACKAGE_HELP_DIR', conf.escpath(sub('${DATAROOTDIR}/gnome/help/${PACKAGE}', env)))
+    define('PACKAGE_LOCALE_DIR', conf.escpath(env['LOCALEDIR']))
+    define('PACKAGE_MENU_DIR', conf.escpath(sub('${DATAROOTDIR}/applications', env)))
+    #define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/pixmaps/${PACKAGE}', env)))
+    define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
+    define('PACKAGE_SOURCE_DIR', conf.escpath(os.path.abspath(srcdir))) # folder where was wscript executed
+
+    common_libs = string.join(
+    '''
+    "gconf-2.0"
+    "gmodule-2.0"
+    "glib-2.0"
+    "libgsf-1 >= 1.14"
+    "libxml-2.0"
+    --cflags --libs'''
+    .split()," ")
+
+    if env['ENABLE_GTK2']:
+        env.append_value('ALL_LIBS', 'LIBGLADE')
+        # We need to know specific versions of GTK+-2.0
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.16",
+                       uselib_store="GTK_216")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.18",
+                       uselib_store="GTK_218")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.20",
+                       uselib_store="GTK_220")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.24",
+                       uselib_store="GTK_224")
+        common_libs += ' libglade-2.0'
+        common_libs += ' webkit-1.0'
+        if opt.webkit_editor:
+            conf.define('USE_WEBKIT_EDITOR', 1)
+            env['ENABLE_WEBKIT_EDITOR'] = True
+            common_libs += ' "gtk+-2.0 >= 2.24" '
+           # FC15 and Oneiric have this, Natty does not
+        elif conf.check_cfg(modversion='gtkhtml-editor-3.14',
+                          msg='Checking for GNOME3 gtkhtml-editor',
+                          okmsg='Definitely',
+                          errmsg='Probably not'
+                          ):
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor-3.14" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+        else:
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+    else:
+        #
