=== debian/changelog ===
xiphos (3.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.
  * Switch uscan to sf.net redirector.
  * Unpack waf in get-orig-source target.
  * Bump to debhelper 9.
  * Add uuid-dev build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:08:46 +0100
