=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xiphos
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libsword-dev (>=1.5.11),
                gsettings-desktop-schemas-dev | gconf2-common,
                rarian-compat,
@@ -12,12 +12,13 @@
                intltool,
 	       libdbus-glib-1-dev,
 	       libgsf-1-dev,
+	       uuid-dev,
                libxml2-dev
 Section: gnome
 Priority: optional
 Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
-Uploaders: Dmitrijs Ledkovs <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
-Standards-Version: 3.9.3
+Uploaders: Dimitri John Ledkov <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
+Standards-Version: 3.9.5
 Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
 Vcs-Browser: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main/files
 Homepage: http://xiphos.org
