## xiphos 4.0.0+dfsg1

=== wscript ===
--- 
+++ 
@@ -17,7 +17,7 @@
 bzrrevno = '$CurRevno$'
 bzrrevid = '$CurRevid$'
 
-VERSION='3.2.2'
+VERSION='4.0.0'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -68,6 +68,10 @@
     miscgroup.add_option('--enable-delint', action='store_true', default=False,
             dest='delint',
             help='Use -Wall -Werror [default: disabled]')
+
+    miscgroup.add_option('--chatty', action='store_true', default=False,
+            dest='chatty',
+            help='Enable lots of tracing [default: disabled]')
 
     miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
             dest='webkit_editor',
@@ -234,8 +238,7 @@
                            msg='Auto detecting gtk 2', mandatory=True)
             opt.gtkver = '2'
 
-    # TODO are these still needed?
-    env['ENABLE_WEBKIT'] = True
+	# FIXME: Find out why we still need this!
     dfn('WEBKIT', 1) 
     
     #gtk
@@ -293,6 +296,9 @@
     #define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/pixmaps/${PACKAGE}', env)))
     define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
     define('PACKAGE_SOURCE_DIR', conf.escpath(os.path.abspath(srcdir))) # folder where was wscript executed
+    if not env["IS_WIN32"]:
+        # for installing xiphos.appdata.xml
+        define('PACKAGE_APPDATA_DIR', conf.escpath(sub('${INSTALL_PREFIX}/share/appdata', env)))
 
     common_libs = string.join(
     '''
@@ -332,11 +338,3 @@
                           errmsg='Probably not'
                           ):
             common_libs += ' "gtk+-2.0 >= 2.14" '
-            common_libs += ' "gtkhtml-editor-3.14" '
-            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
-        else:
-            common_libs += ' "gtk+-2.0 >= 2.14" '
-            common_libs += ' "gtkhtml-editor" '
-            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
-    else:
-        #
