=== debian/changelog ===
xiphos (4.0.0+dfsg1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1434944)
  * d/rules:
    - During repack, also remove build-win32/ and debian/
    - Set the debug level to 'release'
  * d/control: Bump the libsword-dev dep to 1.7.3.
  * d/xiphos.install: Install usr/bin/xiphos-nav
  * d/xiphos-data.install: Install xiphos.appdata.xml. 

 -- Unit 193 <unit193@ubuntu.com>  Fri, 13 Feb 2015 14:50:57 -0500
