=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xiphos
 Build-Depends: debhelper (>= 9),
-               libsword-dev (>=1.5.11),
+               libsword-dev (>=1.7.3),
                gsettings-desktop-schemas-dev | gconf2-common,
                rarian-compat,
                libgtkhtml-4.0-dev | libgtkhtml3.14-dev,
@@ -16,7 +16,8 @@
                libxml2-dev
 Section: gnome
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Dimitri John Ledkov <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
 Standards-Version: 3.9.5
 Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
