=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,15 @@
 %:
 	dh $@
 override_dh_auto_configure:
-	./waf configure --nocache --prefix=/usr
+	./waf configure --nocache --prefix=/usr --debug-level=release
 override_dh_auto_build:
 	./waf build --nocache
 override_dh_auto_install:
 	./waf install --nocache --destdir=debian/tmp
 override_dh_install:
 	dh_install --list-missing
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
 override_dh_strip:
 	dh_strip --dbg-package=xiphos-dbg
 override_dh_auto_clean:
@@ -36,5 +38,7 @@
 	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version) -name '*.pyc' -delete
+	rm -rf $(pkg)-$(dfsg_version)/build-win32/
+	rm -rf $(pkg)-$(dfsg_version)/debian/
 	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
 	rm -rf $(pkg)-$(dfsg_version)
