## xiphos 4.0.4%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,34 @@
 #!/usr/bin/make -f
-ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
+
 override_dh_auto_configure:
-	./waf configure --nocache --prefix=/usr --debug-level=release
+	./waf configure --nocache --prefix=/usr --enable-webkit-editor --gtk=3 --debug-level=release
+
 override_dh_auto_build:
-	./waf build --nocache
+	./waf build --nocache --verbose
+
 override_dh_auto_install:
 	./waf install --nocache --destdir=debian/tmp
+
 override_dh_install:
 	dh_install --list-missing
+
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
 override_dh_strip:
 	dh_strip --dbg-package=xiphos-dbg
+
 override_dh_auto_clean:
 	./waf distclean --nocache
+
 override_dh_clean:
 	find . -name '*.pyc' -delete
-	rm -f src/examples/ipc-interface.xml
 	dh_clean
-override_dh_builddeb:
-	dh_builddeb $(if $(ppa),-- -Zlzma)
 
 # get-orig-source to drop waf
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
