## xiphos 4.0.4+dfsg1

=== wscript ===
--- 
+++ 
@@ -14,10 +14,7 @@
 import waffles.misc
 import waffles.gnome as gnome
 
-bzrrevno = '$CurRevno$'
-bzrrevid = '$CurRevid$'
-
-VERSION='4.0.0'
+VERSION='4.0.4'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -76,7 +73,11 @@
     miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
             dest='webkit_editor',
             help='Use webkit editor [default: disabled]')
-			
+
+    miscgroup.add_option('--enable-webkit2', action='store_true', default=False,
+            dest='webkit2',
+            help='Use webkit2 instead of original webkit [default: disabled]')
+
     miscgroup.add_option('--disable-dbus',
                    action = 'store_true',
                    default = False,
@@ -203,8 +204,8 @@
         env['CXXFLAGS']            = []
         env['CXXFLAGS_OPTIMIZED']  = ['-O2']
         env['CXXFLAGS_RELEASE']    = ['-O2']
-        env['CXXFLAGS_DEBUG']      = ['-g', '-DDEBUG', '-ftemplate-depth-25']
-        env['CXXFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG', '-ftemplate-depth-25']
+        env['CXXFLAGS_DEBUG']      = ['-g', '-DDEBUG']
+        env['CXXFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG']
     
     if env['IS_WIN32']:
         ## setup for Winsock on Windows (required for read-aloud)
@@ -238,7 +239,7 @@
                            msg='Auto detecting gtk 2', mandatory=True)
             opt.gtkver = '2'
 
-	# FIXME: Find out why we still need this!
+    # FIXME: Find out why we still need this!
     dfn('WEBKIT', 1) 
     
     #gtk
@@ -331,10 +332,8 @@
             conf.define('USE_WEBKIT_EDITOR', 1)
             env['ENABLE_WEBKIT_EDITOR'] = True
             common_libs += ' "gtk+-2.0 >= 2.24" '
-           # FC15 and Oneiric have this, Natty does not
         elif conf.check_cfg(modversion='gtkhtml-editor-3.14',
                           msg='Checking for GNOME3 gtkhtml-editor',
                           okmsg='Definitely',
-                          errmsg='Probably not'
-                          ):
-            common_libs += ' "gtk+-2.0 >= 2.14" '
+                          errmsg='Probably not',
+                          mandatory=True
