=== debian/changelog ===
xiphos (4.0.4+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release. (Closes: #783556)
    - Fixes many GTK3 incompatibilities. (Closes: #770713, #769940)
  * Bump Standards-Version to 3.9.6.
  * wrap-and-sort.
  * d/control:
    - Drop gsettings-desktop-schemas-dev | gconf2-common, and libgtkhtml*
      Closes: #799018
    - Add docbook-utils, libbiblesync-dev, and libgtk-3-dev.
    - Bump libsword-dev min dep to 1.7.3.
    - Add myself to uploaders.
  * d/rules:
    - During repack, also remove build-win32/ and debian/
    - Remove the builddeb override, not needed.
    - Install upstream changelog.
    - Enable --verbose build.
    - Pass --enable-webkit-editor, --gtk=3 and --debug-level=release.
    - Set DEB_LDFLAGS_MAINT_APPEND to only link as needed.
    - Don't remove src/examples/ipc-interface.xml in the cleaning stage.
  * d/Debian, d/clean, d/README.*: Drop.
  * d/source.lintian-overrides: Remove debian-watch-file-should-mangle-version.
  * d/watch: Update to find new releases, and filter out testing releases.
  * d/xiphos.install: Install usr/bin/xiphos-nav
  * d/xiphos-data.install: Install xiphos.appdata.xml.

  [ Daniel Glassey ]
  * d/control: Vcs now pkg-crosswire git
               add myself as uploader
               remove xnox and Jonathan from uploaders
               type in xiphos-dbg description   
  * New release for sword transition. (Closes: #801891)

 -- Daniel Glassey <wdg@debian.org>  Mon, 19 Oct 2015 21:31:23 +0100
