=== debian/control ===
Source: xiphos
Section: gnome
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Unit 193 <unit193@ubuntu.com>,
           Daniel Glassey <wdg@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-utils,
               gnome-doc-utils,
               intltool,
               libbiblesync-dev,
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgsf-1-dev,
               libgtk-3-dev,
               libsword-dev (>= 1.7.3),
               libwebkitgtk-3.0-dev | libwebkitgtk-dev,
               libxml2-dev,
               rarian-compat,
               uuid-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/xiphos.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/xiphos.git/
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: xiphos-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: xiphos-data
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-dbg
Priority: extra
Section: debug
Architecture: any
Depends: xiphos (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: debug symbols for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains debugging symbols that are necessary to produce
 stacktraces of Xiphos.

Package: xiphos-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.
