=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
http://sf.net/gnomesword/xiphos-([\d\.]+)(?:-[\d]+)?\.tar\.gz
