## xiphos 4.0.7+dfsg1

=== wscript ===
--- 
+++ 
@@ -14,7 +14,7 @@
 import waffles.misc
 import waffles.gnome as gnome
 
-VERSION='4.0.4'
+VERSION='4.0.7'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -288,7 +288,7 @@
 
     define('INSTALL_PREFIX', conf.escpath(sub('${PREFIX}/', env)))
     #dfn('LT_OBJDIR', '.libs') - what's the purpose?
-    define('PACKAGE_BUGREPORT','http://sourceforge.net/tracker/?group_id=5528&atid=105528' )
+    define('PACKAGE_BUGREPORT','https://github.com/crosswire/xiphos/issues' )
     define('PACKAGE_DATA_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
     define('PACKAGE_DOC_DIR', conf.escpath(env['DOCDIR']))
     define('PACKAGE_HELP_DIR', conf.escpath(sub('${DATAROOTDIR}/gnome/help/${PACKAGE}', env)))
@@ -314,18 +314,6 @@
     if env['ENABLE_GTK2']:
         env.append_value('ALL_LIBS', 'LIBGLADE')
         # We need to know specific versions of GTK+-2.0
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.16",
-                       uselib_store="GTK_216")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.18",
-                       uselib_store="GTK_218")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.20",
-                       uselib_store="GTK_220")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.24",
-                       uselib_store="GTK_224")
         common_libs += ' libglade-2.0'
         common_libs += ' webkit-1.0'
         if opt.webkit_editor:
@@ -337,3 +325,17 @@
                           okmsg='Definitely',
                           errmsg='Probably not',
                           mandatory=True
+                          ):
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor-3.14" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+    else:
+        common_libs += ' "gtk+-3.0" '
+        conf.define('USE_GTK_3', 1)
+        conf.define('USE_GTKBUILDER', 1)
+        if opt.webkit_editor:
+            conf.define('USE_WEBKIT_EDITOR', 1)
+            env['ENABLE_WEBKIT_EDITOR'] = True
+            common_libs += ' "webkitgtk-3.0" '
+        else:
+            if conf.check_cfg(modversion='libgtkhtml-4.0',
