=== debian/changelog ===
xiphos (4.0.7+dfsg1-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:56:29 +0000

xiphos (4.0.7+dfsg1-1build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:31:31 +0000

xiphos (4.0.7+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.0.7+dfsg1.
    - Work around a FTBFS by passing -z,muldefs to the linker.
      (Closes: #872916)
  * Bump Standards-Version to 4.1.0.
  * d/docs: README → README.md
  * d/compat, d/control: Bump debhelper compat to 10.
  * d/control:
    - xiphos: Add breaks on xiphos-data due to file move.
    - Drop the xiphos-dbg package.
    - Sort uploaders.
  * d/repack-waf, d/rules, d/watch:
    - Switch from get-orig-source target to repack script for waf.
  * d/repack-waf: Remove win32/ as well.
  * d/rules:
    - Migrate to dbgsym packages.
    - Move from dh_install --list-missing to dh_missing --list-missing.
  * d/watch: Update to use GH releases.
  * d/xiphos(,-data).install: Move xiphos.appdata.xml to the right package.

  [ Dominique Corbex ]
  * simplifying d/rules:
    - No longer export BUILDFLAGS.
    - Don't include /usr/share/dpkg/buildflags.mk
  * Lintian cleanup:
    - Bump Standards-Version to 3.9.8.
    - d/rules: add hardening options
    - d/control: Securing Vcs-Git URL
  * d/xiphos.manpages: Install new upstream manpage for xiphos-nav.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 16 Sep 2017 10:11:37 -0400
