=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./waf configure --nocache --prefix=/usr --enable-webkit-editor --gtk=3 --debug-level=release

override_dh_auto_build:
	./waf build --nocache --verbose

override_dh_auto_install:
	./waf install --nocache --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='xiphos-dbg (<< 4.0.5+dfsg1-1~)'

override_dh_auto_clean:
	./waf distclean --nocache

override_dh_clean:
	find . -name '*.pyc' -delete
	rm -f 'src/examples/ipc-interface.xml'
	dh_clean
